//----------------------------------------------------
// PlayerJS плагин для замены стандартного плеера DLE
// 0.3
//
// Описание - https://playerjs.com/docs/q=dle
//----------------------------------------------------

    var dleplayer = ["dlevideoplayer","dleaudioplayer"];

    var pjs_settings = {
        js:"engine/modules/playerjs/playerjs_default.js",
        align:"center",
        video:{
            width:"100%",
            height:"auto",
            design:1
        },
        audio:{
            width:"100%",
            height:"80px",
            design:1
        }
    };
    $.get("//"+location.hostname+"/engine/modules/playerjs/admin/settings.txt", function(data) {
        //console.log(data);
        var config = jQuery.parseJSON(data);
        if(config){
            pjs_settings.js = config.pjs_js;
            pjs_settings.align = config.pjs_align;
            pjs_settings.video.width = config.pjs_width+(config.pjs_width_prpx=="px"?"px":"%");
            pjs_settings.video.height = config.pjs_height_mode=='px'?config.pjs_height+'px':
            'auto';

            pjs_settings.video.design = config.pjs_video_design>1?config.pjs_video_design:1;
            pjs_settings.audio.design = config.pjs_audio_design>1?config.pjs_audio_design:1;
            'auto';
            
            if(config.pjs_audiowidth){
                pjs_settings.audio.width = config.pjs_audiowidth+(config.pjs_audiowidth_prpx=="px"?"px":"%");
                pjs_settings.audio.height = config.pjs_audioheight_mode=='px'?config.pjs_audioheight+'px':
            'auto';
            }
            PjsSripter();
        }
    }).fail(function(){PjsSripter();});

    function PjsSripter(){
        if(!PjsScripted(pjs_settings.js)){
            var tag = document.createElement('script');
            tag.src = "//"+location.hostname+"/"+pjs_settings.js;
            var firstScriptTag = document.getElementsByTagName('script')[0];
            firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
        }
        pjs_waiter = setInterval(PjsWaiter,100);
        PjsWaiter();
    }
    
    var pjs_waiter;

    function PjsWaiter(){
        if (typeof pljssglobal !== 'undefined') {
            clearInterval(pjs_waiter);
            PjsReplacePlayers();
        }
    }

    function PjsReplacePlayers(){
        var playersonpage = 0;
        if (typeof pljssglobal !== 'undefined') {
            playersonpage = pljssglobal.length;
        }
        for(var i=0;i<dleplayer.length;i++){

            if($("."+dleplayer[i]).length>0){
                if(pjs_settings.align=="center"){
                    $("."+dleplayer[i]).wrap('<center></center>');
                }

                for(var j=0;j<$("."+dleplayer[i]).length;j++){
                    $($("."+dleplayer[i])[j]).attr("style","");
                    var media = dleplayer[i].substr(3,5);
                    $($("."+dleplayer[i])[j]).css({maxWidth:"auto",width:pjs_settings[media].width,maxHeight:"auto",height:pjs_settings[media].height});
                    var x = $($("."+dleplayer[i])[j]).find($("li"));
                    var playlist=[];
                    var y = {id:"playerjs"+i+j+playersonpage};
                    $($("."+dleplayer[i])[j]).attr("id",y['id']);
                    if(x.length>1){
                        for(var p=0;p<x.length;p++){
                            var z = {file:$(x[p]).attr('data-url')};
                            
                            if($(x[p]).attr('data-poster')){
                                z['poster'] = $(x[p]).attr('data-poster');
                            }
                            if($(x[p]).attr('data-title')){
                                z['title'] = $(x[p]).attr('data-title');
                            }
                            playlist.push(z);
                        }
                        y['file'] = playlist;
                        
                    }else{
                        y['file'] = x.attr('data-url');
                        if(x.attr('data-poster')){
                            y['poster'] = x.attr('data-poster');
                        }
                        if(x.attr('data-title')){
                            y['title'] = x.attr('data-title');
                        }
                    }
                    if(media=="audio"){
                        y.player =  pjs_settings.audio.design;
                    }else{
                        y.player =  pjs_settings.video.design;
                    }
                    
                    var player = new Playerjs(y);
                }
            }
        }
    }

    function PjsScripted(y){
        var x = false;
        var scripts = document.getElementsByTagName('script');
        for(var i=0;i<scripts.length;i++){
            if(scripts[i].src.indexOf(y)>-1){
                x = true;
            }
        }
        return x;
    };

    function PjsRandom(min,max){
        return Math.floor(arguments.length > 1 ? (max - min + 1) * Math.random() + min : (min + 1) * Math.random());
    };